unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;


var 
  Form1: TForm1;
  HRgn,hr: THandle; 
  plus:integer; 
  s: String; 
  procedure affichage(f:Tform); 
implementation

{$R *.DFM} 
procedure affichage(f:Tform); 
begin 
    DeleteObject(HRgn); 
    s:=FormatDateTime('hh:mm:ss',Time);
    BeginPath(f.Canvas.Handle);
    with f.Canvas do 
    begin 
          Font.Name := 'times new roman'; Font.Size := 64; Font.Style := [fsBold]; 
          TextOut(1, 1, s); 
    end; 
    hr := createrectrgn(1,1,f.canvas.TextWidth(s),f.canvas.TextHeight(s));
    EndPath(f.Canvas.Handle); 
    HRgn := PathToRegion(f.Canvas.Handle); 
    combinergn(hrgn,hr,hrgn,rgn_diff);
    SetWindowRgn(f.Handle,hrgn, True);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction); 
begin 
    DeleteObject(HRgn);
end;

procedure TForm1.Timer1Timer(Sender: TObject); 
begin 
    affichage(form1); 
end; 

procedure TForm1.FormCreate(Sender: TObject); 
begin 
    form1.BorderStyle:=Bsnone;
    form1.left:=10; 
    form1.Top:=10; 
    form1.Color:=$004203E7; 
    affichage(form1); 
    Timer1.Interval:=100;// je mets moins d'une seconde d'intervalle pour ne pas prendre trop de retard sur l'affichage par rapport au temps rel 
end;
procedure TForm1.FormClick(Sender: TObject); 
begin 
    close;
end; 


end.
